﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SimpleGraphicsLib
{
	public static class ExtensionMethods
	{
		public static float Map( this float value, float fromSource, float toSource, float fromTarget, float toTarget )
		{
			return ( value - fromSource ) / ( toSource - fromSource ) 
				* ( toTarget - fromTarget ) + fromTarget;

		} // float Map

	} // Class

} // Namespace
